<?php
namespace Gath\Product\Hydrator;

use Laminas\Hydrator\NamingStrategy\MapNamingStrategy;
use Laminas\Hydrator\ReflectionHydrator;

/**
 * Class ProductHydrator
 *
 * @package Gath\Product\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/gath-product
 */
final class ProductHydrator extends ReflectionHydrator
{
    /**
     * ProductHydrator constructor.
     */
    public function __construct()
    {
        $this->setNamingStrategy(MapNamingStrategy::createFromHydrationMap([
            'kataloskibroj' => 'catalogNumber',
            'dobavljaccode' => 'supplier',
        ]));

        $this->addStrategy('id', new Strategy\ProductIdStrategy());
    }
}
